/*
 *  callbacks.c: event and signal handlers
 *
 *  Copyright (C) 2010- John Coppens (john@jcoppens.com)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "gui.h"

//////	ExtrasPopup

void
on_sine1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  sine1_activate();
}


void
on_cosine1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  cosine1_activate();
}


void
on_tangent1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  tangent1_activate();
}


void
on_secant1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  secant1_activate();
}


void
on_cosecant1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  cosecant1_activate();
}


void
on_cotangent1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  cotangent1_activate();
}


void
on_arcsine1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arcsine1_activate();
}


void
on_arccosine1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arccosine1_activate();
}


void
on_arctangent1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arctangent1_activate();
}


void
on_arcsecant1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arcsecant1_activate();
}


void
on_arccosecant1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arccosecant1_activate();
}


void
on_arccotangent1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arccotangent1_activate();
}


void
on_hyperbolic_sine1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_sine1_activate();
}


void
on_hyperbolic_cosine1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_cosine1_activate();
}


void
on_hyperbolic_tangent1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_tangent1_activate();
}


void
on_hyperbolic_secant1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_secant1_activate();
}


void
on_hyperbolic_cosecant1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_cosecant1_activate();
}


void
on_hyperbolic_cotangent1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hyperbolic_cotangent1_activate();
}


void
on_inverted_hyperbolic_sine1_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_sine1_activate();
}


void
on_inverted_hyperbolic_cosine1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_cosine1_activate();
}


void
on_inverted_hyperbolic_tangent1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_tangent1_activate();
}


void
on_inverted_hyperbolic_secant1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_secant1_activate();
}


void
on_inverted_hyperbolic_cosecant1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_cosecant1_activate();
}


void
on_inverted_hyperbolic_cotangent1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inverted_hyperbolic_cotangent1_activate();
}


void
on_natural_logarithm1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  natural_logarithm1_activate();
}


void
on_base_10_logarithm1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  base_10_logarithm1_activate();
}


void
on_base_2_logarithm1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  base_2_logarithm1_activate();
}


void
on_gamma_function1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gamma_function1_activate();
}


void
on_log_gamma_function1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  log_gamma_function1_activate();
}


void
on_zeta_function1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  zeta_function1_activate();
}


void
on_sampling_function1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  sampling_function1_activate();
}


void
on_nearest_integer1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  nearest_integer1_activate();
}


void
on_absolute_value1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  absolute_value1_activate();
}


void
on_ones_complement1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ones_complement1_activate();
}


void
on_exponential_integral1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  exponential_integral1_activate();
}


void
on_exponent1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  exponent1_activate();
}


void
on_factorial1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  factorial1_activate();
}


void
on_square_root1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  square_root1_activate();
}


void
on_cube_root1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  cube_root1_activate();
}


void
on_next_lower_integer1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  next_lower_integer1_activate();
}


void
on_next_higher_integer1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  next_higher_integer1_activate();
}


void
on_random_value1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  random_value1_activate();
}


void
on_random_integer1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  random_integer1_activate();
}


void
on_constants1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_pi1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  pi1_activate();
}


void
on_e1_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  e1_activate();
}


void
on_eulers_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  eulers_constant1_activate();
}


void
on_catalan1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  catalan1_activate();
}


void
on_gravity1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gravity1_activate();
}


void
on_coulomb1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  coulomb1_activate();
}


void
on_universal_constants1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
}


void
on_electromagnetic_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
}


void
on_bohr_magneton1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  bohr_magneton1_activate();
}


void
on_nuclear_magneton1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  nuclear_magneton1_activate();
}


void
on_conductance_quantum1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  conductance_quantum1_activate();
}


void
on_elementary_charge1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  elementary_charge1_activate();
}


void
on_josephson_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  josephson_constant1_activate();
}


void
on_von_klitzing_constant1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  von_klitzing_constant1_activate();
}


void
on_magnetic_flux_quantum1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  magnetic_flux_quantum1_activate();
}

void
on_atomic_and_nuclear_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{   
}

void
on_physio_chemical_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{   
}

void
on_impedancevacuum1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  impedancevacuum1_activate();
}


void
on_epsilon1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  epsilon1_activate();
}


void
on_mu1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  mu1_activate();
}


void
on_gravitational_constant1_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gravitational_constant1_activate();
}


void
on_planck_constant1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  planck_constant1_activate();
}


void
on_speed_of_light1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  speed_of_light1_activate();
}

//	Atomic and Nuclear Constants
void
on_alpha_particle_mass1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  alpha_particle_mass1_activate();
}


void
on_bohr_radius1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  bohr_radius1_activate();
}


void
on_deuteron_mass1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  deuteron_mass1_activate();
}


void
on_electron_mass1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  electron_mass1_activate();
}


void
on_electron_radius1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  electron_radius1_activate();
}


void
on_fermi_coupling_constant1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  fermi_coupling_constant1_activate();
}


void
on_fine_structure_constant1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  fine_structure_constant1_activate();
}


void
on_hartree_energy1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hartree_energy1_activate();
}


void
on_helion_mass1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  helion_mass1_activate();
}


void
on_muon_mass1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  muon_mass1_activate();
}


void
on_neutron_mass1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  neutron_mass1_activate();
}


void
on_proton_mass1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  proton_mass1_activate();
}


void
on_rydberg_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  rydberg_constant1_activate();
}


void
on_tau_mass1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  tau_mass1_activate();
}

//      Physio-chemical
void
on_atomic_mass_constant1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  atomic_mass_constant1_activate();
}


void
on_avogadros_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  avogadros_constant1_activate();
}


void
on_boltzmann_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  boltzmann_constant1_activate();
}


void
on_faraday_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  faraday_constant1_activate();
}


void
on_first_radiation_constant1_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  first_radiation_constant1_activate();
}


void
on_loschmidt_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  loschmidt_constant1_activate();
}


void
on_molar_mass_constant1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  molar_mass_constant1_activate();
}


void
on_molar_volumn_ideal_gas1_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  molar_volumn_ideal_gas1_activate();
}


void
on_second_radiation_constant1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  second_radiation_constant1_activate();
}


void
on_sigma1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  sigma1_activate();
}


void
on_wien_displacement_law1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  wien_displacement_law1_activate();
}


void
on_a_random_value1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  a_random_value1_activate();
}


void
on_a_random_integer1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  a_random_integer1_activate();
}


//////	PrefWindow

void
on_pref_cancel_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  pref_cancel_btn_clicked();
}


void
on_pref_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  pref_ok_btn_clicked();
}


gboolean
on_PrefWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return PrefWindow_delete_event();;
}


void
on_PrefWindow_realize                  (GtkWidget       *widget,
                                        gpointer         user_data)
{
  PrefWindow_realize();
}


//////	MainWindow

//	MainWindow - menu

void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  clear1_activate();
}


void
on_history1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  history1_activate();
}


void
on_variables1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  variables1_activate();
}


void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  preferences1_activate();
}


void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  quit1_activate();
}


void
on_conversions2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  conversions2_activate();
}


void
on_decimal1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  decimal1_activate();
}


void
on_hexadecimal1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hexadecimal1_activate();
}


void
on_octal1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  octal1_activate();
}


void
on_binary1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  binary1_activate();
}


void
on_recalculate1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  recalculate1_activate();
}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  about1_activate();
}

//	MainWindow - events

gboolean
on_MainWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return MainWindow_delete_event();
}


void
on_MainWindow_realize                  (GtkWidget       *widget,
                                        gpointer         user_data)
{
  MainWindow_realize();
}

void
on_main_Clr_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_Num_Lock);
}


void
on_main_div_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Divide);
}


void
on_main_mul_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Multiply);
}


void
on_main_sub_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Subtract);
}


void
on_main_0_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_0);
}


void
on_main_1_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_1);
}


void
on_main_2_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_2);
}


void
on_main_3_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_3);
}


void
on_main_4_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_4);
}


void
on_main_5_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_5);
}


void
on_main_6_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_6);
}


void
on_main_7_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_7);
}


void
on_main_8_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_8);
}


void
on_main_9_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_9);
}


void
on_main_add_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Add);
}


void
on_main_dec_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Decimal);
}


void
on_main_exec_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_KP_Enter);
}


void
on_main_E_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_E);
}


void
on_main_D_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_D);
}


void
on_main_C_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_C);
}


void
on_main_B_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_B);
}


void
on_main_A_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_A);
}


void
on_main_F_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  main_btn_clicked(GDK_F);
}


void
on_main_mode_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  main_mode_btn_clicked();
}


gboolean
on_main_result_txtview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  return main_result_txtview_button_press_event(event);
}


gboolean
on_main_input_txtview_key_press_event  (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data)
{
  return main_input_txtview_key_press_event(event);
}


void
on_save_to_variable2_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  save_to_variable2_activate();
}


void
on_inspector1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  inspector1_activate();
}


void
on_variables2_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  variables2_activate();
}


void
on_preferences2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  preferences2_activate();
}


void
on_quit2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  quit2_activate();
}

//////  ResultPopup

void
on_save_to_variable3_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  save_to_variable3_activate();
}


void
on_conversions3_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  conversions3_activate();
}


//////	ConversionsWindow

void
on_conv_family_cbbox_changed           (GtkComboBox     *combobox,
                                        gpointer         user_data)
{
  conv_family_cbbox_changed();
}


void
on_conv_from_treeview_cursor_changed   (GtkTreeView     *treeview,
                                        gpointer         user_data)
{
  conv_from_treeview_cursor_changed();
}


void
on_conv_to_treeview_cursor_changed     (GtkTreeView     *treeview,
                                        gpointer         user_data)
{
  conv_to_treeview_cursor_changed();
}


void
on_conv_cancel_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  conv_cancel_btn_clicked();
}


void
on_conv_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  conv_ok_btn_clicked();
}


gboolean
on_ConversionsWindow_delete_event      (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return ConversionsWindow_delete_event();
}


void
on_ConversionsWindow_realize           (GtkWidget       *widget,
                                        gpointer         user_data)
{
  ConversionsWindow_realize();
}


//////	VariablesWindow

gboolean
on_VariablesWindow_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return VariablesWindow_delete_event();
}


void
on_VariablesWindow_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  VariablesWindow_realize();
}


void
on_var_treeview_cursor_changed         (GtkTreeView     *treeview,
                                        gpointer         user_data)
{
  var_treeview_cursor_changed();
}


void
on_var_add_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  var_add_btn_clicked();
}


void
on_var_remove_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
  var_remove_btn_clicked();
}


void
on_var_clear_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  var_clear_btn_clicked();
}


void
on_var_cancel_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
  var_cancel_btn_clicked();
}


void
on_var_ok_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
  var_ok_btn_clicked();
}


//////	InsprectorWindow

gboolean
on_InspectorWindow_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return InspectorWindow_delete_event();
}


void
on_InspectorWindow_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  InspectorWindow_realize();
}


void
on_insp_which_cbbox_changed            (GtkComboBox     *combobox,
                                        gpointer         user_data)
{
  insp_which_cbbox_changed();
}


void
on_insp_treeview_cursor_changed        (GtkTreeView     *treeview,
                                        gpointer         user_data)
{
  insp_treeview_cursor_changed();
}


void
on_insp_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  insp_ok_btn_clicked();
}


gboolean
on_main_input_txtview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  return main_input_txtview_button_press_event(event);
}

/////	AddVariableWindow

void
on_AddVariableWindow_realize           (GtkWidget       *widget,
                                        gpointer         user_data)
{
  AddVariableWindow_realize();
}


gboolean
on_AddVariableWindow_delete_event      (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return AddVariableWindow_delete_event();
}


void
on_addvar_cancel_btn_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
  addvar_cancel_btn_clicked();
}


void
on_addvar_ok_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  addvar_ok_btn_clicked();
}


gboolean
on_main_eventbox_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  return main_eventbox_button_press_event(widget, event);
}


void
on_decimal2_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  decimal1_activate();
}


void
on_hexadecimal2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  hexadecimal1_activate();
}


void
on_octal2_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  octal1_activate();
}


void
on_binary2_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  binary1_activate();
}

